Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ModifyResponse

    java.lang.Object
      |
      +--org.openspml.message.SpmlResponse
            |
            +--org.openspml.message.ModifyResponse

public class ModifyResponse
extends SpmlResponse

A class used to represent a `modifyResponse` element.

Fields inherited from class org.openspml.message.SpmlResponse
`ERROR_CUSTOM_ERROR, ERROR_MALFORMED_REQUEST, ERROR_NO_SUCH_IDENTIFIER, ERROR_NO_SUCH_REQUEST, ERROR_UNSUPPORTED_IDENTIFIER_TYPE, ERROR_UNSUPPORTED_OPERATION, RESULT_FAILURE, RESULT_PENDING, RESULT_SUCCESS`

Constructor Summary
`ModifyResponse()`

Method Summary
`void` | `addModification(Modification a)`
`void` | `addModification(java.lang.String name, java.lang.Object value)`
`java.util.List` | `getModifications()`
`void` | `setModifications(java.util.List l)`

Methods inherited from class org.openspml.message.SpmlResponse
`addExtendedErrorMessage, createResponseForRequest, createResponseForRequest, dumpFile, getError, getErrorMessage, getExtendedErrorMessages, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, getResult, isFailure, parseResponse, parseResponse, parseResponse, removeOperationalAttribute, setError, setErrorMessage, setErrorMessage, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setOperationalAttributes, setRequestId, setResult, throwErrors, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifyResponse

    public ModifyResponse()

Method Detail

### setModifications

    public void setModifications(java.util.List l)

### addModification

    public void addModification(Modification a)

### addModification

    public void addModification(java.lang.String name,
                                java.lang.Object value)

### getModifications

    public java.util.List getModifications()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD